<ion-content padding>
  <ion-grid fixed>
    <ion-row justify-content-center>
      <ion-col
        size-sm="8"
        size-md="6"
        size-lg="4"
        size-xl="4"
      >
        <h1 text-center>
          <ion-icon
            name="done-all"
            color="primary"
            class="icon-7em"
          ></ion-icon>
        </h1>

        <form
          [formGroup]="authForm"
          (submit)="onSubmit(authProviders.Email)"
        >
          <ng-container *ngIf="!configs.isSignIn">
            <ion-item>
              <ion-icon
                name="person"
                color="primary"
                slot="start"
              ></ion-icon>
              <ion-input
                type="text"
                formControlName="name"
                placeholder="Nome"
              ></ion-input>
              <ion-note
                slot="end"
                color="danger"
                *ngIf="name.dirty && name.hasError('required')"
              >
                campo obrigatório
              </ion-note>
              <ion-note
                slot="end"
                color="danger"
                *ngIf="name.dirty && name.hasError('minlength')"
              >
                Min. 3 caracteres
              </ion-note>
            </ion-item>

            <!-- Cidade -->
            <!-- <ion-item>
        <ion-icon name="person" color="primary" slot="start"></ion-icon>
        <ion-input type="text" formControlName="city" placeholder="City"></ion-input>
        <ion-note slot="end" color="danger" *ngIf="city.dirty && city.hasError('required')">
          campo obrigatório
        </ion-note>
        <ion-note slot="end" color="danger" *ngIf="city.dirty && city.hasError('minlength')">
          Min. 3 caracteres
        </ion-note>
      </ion-item> -->
          </ng-container>
          <ion-item>
            <ion-icon
              name="mail"
              color="primary"
              slot="start"
            ></ion-icon>
            <ion-input
              type="email"
              formControlName="email"
              placeholder="E-mail"
              inputmode="email"
              autofocus="true"
            ></ion-input>
            <ion-note
              slot="end"
              color="danger"
              *ngIf="email.dirty && email.hasError('required')"
            >
              campo obrigatório
            </ion-note>
            <ion-note
              slot="end"
              color="danger"
              *ngIf="email.dirty && email.hasError('email')"
            >
              email invalido
            </ion-note>
          </ion-item>

          <ion-item>
            <ion-icon
              name="lock"
              color="primary"
              slot="start"
            ></ion-icon>
            <ion-input
              type="password"
              formControlName="password"
              placeholder="Password"
            ></ion-input>
            <ion-note
              slot="end"
              color="danger"
              *ngIf="password.dirty && password.hasError('required')"
            >
              campo obrigatório
            </ion-note>
            <ion-note
              slot="end"
              color="danger"
              *ngIf="password.dirty && password.hasError('minlength')"
            >
              Min. 6 caracteres
            </ion-note>
          </ion-item>

          <ion-button
            expand="block"
            type="submit"
            [disabled]="authForm.invalid"
          >
            {{ configs.action }}
          </ion-button>
        </form>

        <ion-button
          expand="block"
          fill="clear"
          (click)="changeAuhtAction()"
        >
          {{ configs.actionChange }}
        </ion-button>
        <ion-button
          expand="block"
          (click)="onSubmit(authProviders.Facebook)"
        >
          <ion-icon
            name="logo-facebook"
            slot="start"
          ></ion-icon>
          Login com Facebook
        </ion-button>
        <ion-button
          expand="block"
          [routerLink]="['/politica-privacidade']"
        >
          <ion-icon
            name="lock"
            slot="start"
          ></ion-icon>
          Politica de privacidade
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
